Downloads

The DynDOLOD Standalone contains the tools and config files etc. and there is only one version for all game versions. The DynDOLOD Resources contain patches and game assets used for LOD generation and in the game and there are two versions: DynDOLOD Resources for Skyrim, Enderal and DynDOLOD Resources SE for Skyrim Special Edition, Enderal SE, Skyrim VR and Skyrim Anniversary Edition.

Download archives with the same name and version number are always the same regardless of the download location. The same archives are offered in the different Nexus game categories for easier tracking and convenience.

Always use the latest version available. Do not use or ask for outdated versions. Troubleshoot or research errors and fix their cause. In case of questions or problems ask about or report problems to the official DynDOLOD support forum.

Skyrim LE is Skyrim that includes all DLC. Skyrim Anniversary Edition (Skyrim AE) is Skyrim Special Edition (Skyrim SE) with the Anniversary DLC. The tools do not require any DLC to be installed in order to function. Installed DLC does not change the game mode or the requirements.

DynDOLOD Requirements

Skyrim
Skyrim LE
Enderal

DynDOLOD Standalone

DynDOLOD Resources

Skyrim SE
Skyrim AE
Skyrim VR
Enderal SE
Enderal VR

DynDOLOD Standalone

DynDOLOD Resources SE

See information about DynDOLOD Resources.

Additional Requirements

All

7-Zip to unpack the DynDOLOD Standalone archive

Microsoft Visual C++ Redistributable packages for Visual Studio 2015, 2017, 2019 and 2022

.NET Framework 4.8 (typically included with Windows 10/11) for LODGen.exe/LODGenx64.exe
.NET Desktop Runtime 6 for LODGenWin.exe/LODGenx64Win.exe

Skyrim
Skyrim LE
Enderal

SKSE

DynDOLOD DLL or PapyrusUtil LE

Skyrim SE
Skyrim AE
Enderal SE

SKSE64

DynDOLOD DLL SE, PapyrusUtil SE or DynDOLOD DLL NG

Skyrim VR
Enderal VR

SKSEVR

DynDOLOD DLL VR, PapyrusUtil VR or DynDOLOD DLL NG

SKSE and DynDOLOD DLL or PapyrusUtil are required for dynamic LOD. See information about DynDOLOD DLL. DynDOLOD DLL NG is required by the large reference bugs workarounds.

SKSE and the DLL plugins of DynDOLOD DLL and PapyrusUtil have different versions for each runtime version of the games. The version of the runtime can be found by right clicking the executable (TESV.exe, SkyrimVR.exe, SkyrimSE.exe), Properties, Details tab and checking the entry for Product Version. In addition, the TexGen and DynDOLOD log will print log lines with version information for the runtime, SKSE, DynDOLOD DLL and PapyrusUtil DLL.

Properties, Details, Product Version of SkyrimSE.exe

If the game is started via the SKSE loader, it will show a message in case the runtime version is not supported. The message shows the version of the runtime as well. To know which SKSE version supports which runtime version, check the skse64_whatsnew.txt included in its download archive.

Check the SKSE Plugin Status which mods depending on a specific runtime version have been updated.

Optionals

Skyrim
Skyrim LE
Enderal

SkyUI

NetImmerse Override (also included in RaceMenu)

Skyrim SE
Skyrim AE
Enderal SE

SkyUI

RaceMenu

Skyrim VR
Enderal VR

SkyUI - VR

RaceMenu VR

SkyUI is used for the DynDOLOD SkyUI MCM (Mod Configuration Menu).

NetImmerse Override/RaceMenu can be used to dynamically change intensity of Glow LOD Windows.